# Retrieve the UI Components

UI components can be retrieved as rendered HTML. This endpoint is intended to be consumed by callers processing the output of an SDK TRANSFORMATION rule, where componentId will reference a form or custom component created within an outcome of a rule.

Endpoint: GET /zephr/public/ui-components/v1/ui-components/{componentId}
Version: 2026-10-01
Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie

## Security:

  - `CookieBlaizeSession` (unknown)
    apiKey in cookie blaize_session

  - `JwtQuery` (unknown)
    apiKey in query jwt

  - `JwtHeaderXBlaizeJwt` (unknown)
    apiKey in header x-blaize-jwt

  - `JwtHeaderXZephrJwt` (unknown)
    apiKey in header x-zephr-jwt

  - `JwtBearer` (unknown)
    http bearer JWT

  - `JwtCookie` (unknown)
    apiKey in cookie blaize_jwt

## Path parameters:

  - `componentId` (string, required)
    componentId

## Query parameters:

  - `ui component variable` (string)
    parameters can optionally be included and will be rendered where the matching param name exists in the UI component

## Response 200:

  - `200` (unknown)
    OK

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 404:

  - `404` (unknown)
    Not Found

## Response 200 examples:

  - `response` (unknown)

